> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-token-transfer.md).

# event-contracts-token-transfer

### TokenTransferEthereumEvent

#### **`afterSignatureCheck`**

Returns DAO event info in slice format.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameters:**

| Name | Type     | Description                      |
| ---- | -------- | -------------------------------- |
| body | TvmSlice | Contains data such as functionId |
|      | TvmCell  |                                  |

**Return values:**

| Type     | Description                           |
| -------- | ------------------------------------- |
| TvmSlice | DAO event represented in slice format |

#### **`onInit`**

Notifies change of event status and loads relayers.

```
function onInit() override internal
```

#### **`onConfirm`**

Confirms an event and notifies change of event status.

```
function onConfirm() override internal
```

#### **`onReject`**

Notifies change of event status and transfers all gas to the initializer

```
function onReject() override internal
```

#### *`notifyEventStatusChanged`*\*

Notify the owner contract that the event contract status has been changed. Used to easily collect all confirmed events by the user's wallet.

```
function notifyEventStatusChanged() internal view
```

### TokenTransferEverscaleEvent

#### **`afterSignatureCheck`**

Returns DAO event info in slice format.

```
function afterSignatureCheck(TvmSlice body, TvmCell /*message*/) private inline view returns (TvmSlice)
```

**Parameters:**

| Name | Type     | Description                      |
| ---- | -------- | -------------------------------- |
| body | TvmSlice | Contains data such as functionId |
|      | TvmCell  |                                  |

**Return values:**

| Type     | Description                           |
| -------- | ------------------------------------- |
| TvmSlice | DAO event represented in slice format |

#### **`close`**

Finishes token transfer and sends remaining gas to the owner

```
function close() public view
```

#### **`onInit`**

Notifies change of event status and loads relayers

```
function onInit() override internal
```

#### **`onConfirm`**

Notifies change of event status

```
function onConfirm() override internal
```

#### **`onReject`**

Notifies change of event status

```
function onReject() override internal
```

#### **`notifyEventStatusChanged`**

Notify the owner contract that the event contract status has been changed. Used to easily collect all confirmed events by the user's wallet.

```
function notifyEventStatusChanged() internal view
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/integrate/octus-bridge-contracts/everscale/bridge-section/event-contracts-token-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
